API product catalogSub-Accounts & White-Label Retail KYC
Sub-account wallet
Sub-Accounts & White-Label Retail KYC
GET
/users/{userId}/wallet
Sub-account wallet
Sandbox available
listWalletReturns USD wallet data, indicative currency equivalents and opt-in actual currency wallets for a sub-account. Transaction history is returned separately by GET /users/{userId}/transactions.
Parameters
walletContract1 | 2queryOpt in to actual currency wallets. Legacy indicative views remain unchanged.
Example: 1
userIdstringpathRequiredExample: usr_abc123
Headers
AuthorizationstringRequiredBearer sk_sandbox_<your_key> for sandbox requests.
Response fields
subAccountIdstringRequiredexternalIdstringwalletobjectRequiredwallet.currencystringwallet.balancenumberwalletContractVersion1 | 2walletModelUSD_LEDGER_WITH_INDICATIVE_EQUIVALENTS | NATIVE_CURRENCY_WALLETSwalletsobject[]wallets[].balanceKindstringwallets[].indicativebooleanwallets[].spendablebooleanwallets[].currencystringExample: "KES"
wallets[].balancenumberExample: 65000
wallets[].availablenumberExample: 65000
wallets[].ledgerCurrencystringExample: "USD"
wallets[].ledgerBalancenumberExample: 500
wallets[].fxRatenumberExample: 130
wallets[].fxSourcestringExample: "MYSTOCKS_MANAGED_FX"
wallets[].fxRateAsOfstring | nullsupportedConversionCurrenciesstring[]currencyWalletsobject[]currencyWallets[].currencystringcurrencyWallets[].balanceKindstringcurrencyWallets[].cashBalancenumbercurrencyWallets[].reservednumbercurrencyWallets[].externallyReservednumbercurrencyWallets[].totalCashnumbercurrencyWallets[].availablenumbercurrencyWallets[].withdrawablenumbercurrencyWallets[].availableForConversionnumbercurrencyWallets[].policyEligiblebooleancurrencyWallets[].internalTransferAvailablenumberTraceable available funds for internal transfers
currencyWallets[].nativeFundingEnabledbooleancurrencyWallets[].nativePayoutEnabledbooleancurrencyWallets[].conversionEnabledbooleanmanagedFxobjectmanagedFx.ledgerCurrencystringExample: "USD"
managedFx.sourcestringExample: "MYSTOCKS_MANAGED_FX"
managedFx.rateConventionstringExample: "local currency units per USD"
managedFx.supportedCurrenciesstring[]managedFx.asOfstring | nullResponse codes
200Actual USD wallet, indicative views and opt-in actual currency wallets. Transaction history is a separate endpoint.